<!DOCTYPE html>
<html>
<head>
	
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>

<body>
	<header>
		<h2>HTML Entities</h2>
	</header>

	<main>
		<section>
			<p><em>Reserved characters in HTML (e.g. &lt;or&gt;) that can mix up with HTML code.</em></p>
			<!-- border attribute adds table the value defines the thickness of the line -->
			<table border="2">
				<!-- thead is for the header of the table -->
				<thead>
					<!-- tr tag means table row -->
					<tr>
						<!-- th means table header element -->
						<!-- colspan changes the amount of columns a table element will occupy -->
						<th colspan="2">Entity</th>
						<!-- rowspan changes the amount of rows a table element will occupy -->
						<th rowspan="2">Description</th>
					</tr>
					<tr>
						<th>Symbol</th>
						<th>Name/Number</th>
					</tr>	
				</thead>
				<!-- This is for the body of the table -->
				<tbody>
					<!-- FIRST ROW -->
					<tr>
						<!-- td - data table -->
						<!-- FIRST COLUMN -->
						<td>&lt;</td>
						<!-- SECOND COLUMN -->
						<td>lt</td>
						<!-- THIRD COLUMN -->
						<td>Less than</td>
					</tr>
					<!-- THIS IS THE SECOND ROW -->
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>Greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>Peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>Ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>Double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>Single quotaion mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>
				<!-- This is for the footer of the table -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
		</section>

		<!-- THIS SECTION IS FOR THE HTML FORM -->
		<section>
			<h2>HTML Forms</h2>

			<p><em>Input elements that make up a form.</em></p>

			<form>
				<!-- Text inputs -->
				<!-- label tag creates a text element that serves as the label for the input field -->
				<!-- for attribut is used with the id attribute in an input element. This allows the users to click the label -->
				<label for="fullname">Full Name:</label> </br>
				<!-- type attribute (type of info the input field should be) name attribute () -->
					<input type="text" name="fullname" id="fullname" required> <br/>

				<label for="birthdate">Birthdate</label>
					<input type="date" name="birthdate" id="birthdate"> <br/>

				<label for="age">Age:</label> <br/>
					<input type="Number" name="age" id="age"><br/>

				<!-- dropdown -->
				<label for="gender">Gender</label><br/>
					<select name="gender" id="gender">
						<option value="male">Male</option>
						<option value="female">Female</option>
					</select> <br/>

				<!-- Text area -->
				<label for="notes">Notes:</label> <br/>
				<textarea type="Notes" rows="5" cols="5" id="notes"></textarea><br/>

				<!-- Radio Button -->
				<label>New User:</label><br/>
					<input type="radio" name="new_user" value="yes" id="yes">
					<label for="yes">Yes</label><br/>

					<input type="radio" name="new_user" value="no" id="no">
					<label for="no">No</label><br/>

				<!-- CHECKBOX -->
				<label">Role:</label><br/>

				<input type="checkbox" name="role1" id="role1">
				<label for="role1">Developer</label><br/>

				<input type="checkbox" name="role2" id="role2">
				<label for="role2">Student</label><br/>

				<input type="checkbox" name="role3" id="role3">
				<label for="role3">Manager</label><br/>


				<button>Submit</button><br/>
				<button type="reset">Reset</button>

			</form>
		</section>
	</main>
</body>

</html>